Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 4345)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -75,5 +79,5 @@
        
        USE indices,                                                            &
-           ONLY:  nxlu, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
+           ONLY:  nxlu, nxr, nyn, nys, nzb, nzt, wall_flags_total_0
      
        USE kinds
@@ -108,5 +112,5 @@
        !$ACC PRIVATE(surf_e, surf_s, flag, kmym, kmyp, kmzm, kmzp) &
        !$ACC PRIVATE(mask_bottom, mask_north, mask_south, mask_top) &
-       !$ACC PRESENT(wall_flags_static_0, km) &
+       !$ACC PRESENT(wall_flags_total_0, km) &
        !$ACC PRESENT(u, v, w) &
        !$ACC PRESENT(ddzu, ddzw, drho_air, rho_air_zw) &
@@ -124,7 +128,7 @@
 !--             It is sufficient to masked only north- and south-facing surfaces, which
 !--             need special treatment for the u-component. 
-                flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i),   1 ) ) 
-                mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j-1,i), 1 ) )
-                mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j+1,i), 1 ) )
+                flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i),   1 ) ) 
+                mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j-1,i), 1 ) )
+                mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j+1,i), 1 ) )
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
@@ -199,11 +203,11 @@
 !--             momentum flux at model top.  
                 mask_bottom = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_static_0(k-1,j,i), 8 ) ) 
+                                 BTEST( wall_flags_total_0(k-1,j,i), 8 ) ) 
                 mask_top    = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_static_0(k+1,j,i), 8 ) ) *     &
+                                 BTEST( wall_flags_total_0(k+1,j,i), 8 ) ) *   &
                               MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_static_0(k+1,j,i), 9 ) ) 
+                                 BTEST( wall_flags_total_0(k+1,j,i), 9 ) ) 
                 flag        = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_static_0(k,j,i), 1 ) ) 
+                                 BTEST( wall_flags_total_0(k,j,i), 1 ) ) 
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
@@ -322,5 +326,5 @@
        
        USE indices,                                                            &
-           ONLY:  nzb, nzt, wall_flags_static_0
+           ONLY:  nzb, nzt, wall_flags_total_0
       
        USE kinds
@@ -356,7 +360,7 @@
 !--       It is sufficient to masked only north- and south-facing surfaces, which
 !--       need special treatment for the u-component. 
-          flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i),   1 ) ) 
-          mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j-1,i), 1 ) )
-          mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j+1,i), 1 ) )
+          flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i),   1 ) ) 
+          mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j-1,i), 1 ) )
+          mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j+1,i), 1 ) )
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
@@ -425,11 +429,11 @@
 !--       momentum flux at model top. 
           mask_bottom = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_static_0(k-1,j,i), 8 ) ) 
+                               BTEST( wall_flags_total_0(k-1,j,i), 8 ) ) 
           mask_top    = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_static_0(k+1,j,i), 8 ) ) *           &
+                               BTEST( wall_flags_total_0(k+1,j,i), 8 ) ) *     &
                         MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_static_0(k+1,j,i), 9 ) )
+                               BTEST( wall_flags_total_0(k+1,j,i), 9 ) )
           flag        = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_static_0(k,j,i), 1 ) ) 
+                               BTEST( wall_flags_total_0(k,j,i), 1 ) ) 
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
Index: /palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_v.f90	(revision 4345)
+++ /palm/trunk/SOURCE/diffusion_v.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -73,5 +77,5 @@
        
        USE indices,                                                            &
-           ONLY:  nxl, nxr, nyn, nysv, nzb, nzt, wall_flags_static_0
+           ONLY:  nxl, nxr, nyn, nysv, nzb, nzt, wall_flags_total_0
        
        USE kinds
@@ -104,5 +108,5 @@
        !$ACC PRIVATE(surf_e, surf_s, flag, kmxm, kmxp, kmzm, kmzp) &
        !$ACC PRIVATE(mask_bottom, mask_east, mask_west, mask_top) &
-       !$ACC PRESENT(wall_flags_static_0, km) &
+       !$ACC PRESENT(wall_flags_total_0, km) &
        !$ACC PRESENT(u, v, w) &
        !$ACC PRESENT(ddzu, ddzw, drho_air, rho_air_zw) &
@@ -121,7 +125,7 @@
 !--             It is sufficient to masked only east- and west-facing surfaces, which
 !--             need special treatment for the v-component. 
-                flag      = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i),   2 ) ) 
-                mask_east = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i+1), 2 ) )
-                mask_west = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i-1), 2 ) )
+                flag      = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i),   2 ) ) 
+                mask_east = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i+1), 2 ) )
+                mask_west = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i-1), 2 ) )
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
@@ -195,11 +199,11 @@
 !--             momentum flux at model top.  
                 mask_bottom = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_static_0(k-1,j,i), 8 ) ) 
+                                 BTEST( wall_flags_total_0(k-1,j,i), 8 ) ) 
                 mask_top    = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_static_0(k+1,j,i), 8 ) ) *     &
+                                 BTEST( wall_flags_total_0(k+1,j,i), 8 ) ) *   &
                               MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_static_0(k+1,j,i), 9 ) ) 
+                                 BTEST( wall_flags_total_0(k+1,j,i), 9 ) ) 
                 flag        = MERGE( 1.0_wp, 0.0_wp,                           &
-                                     BTEST( wall_flags_static_0(k,j,i), 2 ) ) 
+                                 BTEST( wall_flags_total_0(k,j,i), 2 ) ) 
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
@@ -313,5 +317,5 @@
        
        USE indices,                                                            &
-           ONLY:  nzb, nzt, wall_flags_static_0
+           ONLY:  nzb, nzt, wall_flags_total_0
        
        USE kinds
@@ -349,7 +353,7 @@
 !--       It is sufficient to masked only east- and west-facing surfaces, which
 !--       need special treatment for the v-component. 
-          flag      = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i),   2 ) ) 
-          mask_east = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i+1), 2 ) )
-          mask_west = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i-1), 2 ) )
+          flag      = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i),   2 ) ) 
+          mask_east = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i+1), 2 ) )
+          mask_west = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i-1), 2 ) )
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
@@ -419,11 +423,11 @@
 !--       momentum flux at model top.  
           mask_bottom = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_static_0(k-1,j,i), 8 ) ) 
+                               BTEST( wall_flags_total_0(k-1,j,i), 8 ) ) 
           mask_top    = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_static_0(k+1,j,i), 8 ) ) *           &
+                               BTEST( wall_flags_total_0(k+1,j,i), 8 ) ) *     &
                         MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_static_0(k+1,j,i), 9 ) ) 
+                               BTEST( wall_flags_total_0(k+1,j,i), 9 ) ) 
           flag        = MERGE( 1.0_wp, 0.0_wp,                                 &
-                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                               BTEST( wall_flags_total_0(k,j,i), 2 ) )
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 4345)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -69,5 +73,5 @@
            
        USE indices,                                                            &            
-           ONLY :  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
+           ONLY :  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_total_0
            
        USE kinds
@@ -101,5 +105,5 @@
        !$ACC PRIVATE(surf_e, surf_s, flag, kmxm, kmxp, kmym, kmyp) &
        !$ACC PRIVATE(mask_west, mask_east, mask_south, mask_north) &
-       !$ACC PRESENT(wall_flags_static_0, km) &
+       !$ACC PRESENT(wall_flags_total_0, km) &
        !$ACC PRESENT(u, v, w) &
        !$ACC PRESENT(ddzu, ddzw, rho_air, drho_air_zw) &
@@ -114,13 +118,13 @@
 !--             Predetermine flag to mask topography and wall-bounded grid points. 
                 flag       = MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_static_0(k,j,i),   3 ) ) 
+                                    BTEST( wall_flags_total_0(k,j,i),   3 ) ) 
                 mask_east  = MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_static_0(k,j,i+1), 3 ) )
+                                    BTEST( wall_flags_total_0(k,j,i+1), 3 ) )
                 mask_west  = MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_static_0(k,j,i-1), 3 ) )
+                                    BTEST( wall_flags_total_0(k,j,i-1), 3 ) )
                 mask_south = MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_static_0(k,j-1,i), 3 ) )
+                                    BTEST( wall_flags_total_0(k,j-1,i), 3 ) )
                 mask_north = MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_static_0(k,j+1,i), 3 ) )
+                                    BTEST( wall_flags_total_0(k,j+1,i), 3 ) )
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
@@ -254,5 +258,5 @@
            
        USE indices,                                                            &            
-           ONLY :  nzb, nzt, wall_flags_static_0
+           ONLY :  nzb, nzt, wall_flags_total_0
            
        USE kinds
@@ -286,9 +290,9 @@
 !
 !--       Predetermine flag to mask topography and wall-bounded grid points. 
-          flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i),   3 ) ) 
-          mask_east  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i+1), 3 ) )
-          mask_west  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i-1), 3 ) )
-          mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j-1,i), 3 ) )
-          mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j+1,i), 3 ) )
+          flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i),   3 ) ) 
+          mask_east  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i+1), 3 ) )
+          mask_west  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i-1), 3 ) )
+          mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j-1,i), 3 ) )
+          mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j+1,i), 3 ) )
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
Index: /palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- /palm/trunk/SOURCE/disturb_field.f90	(revision 4345)
+++ /palm/trunk/SOURCE/disturb_field.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -62,5 +66,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzb_max, &
-               nzt, wall_flags_static_0
+               nzt, wall_flags_total_0
         
     USE kinds
@@ -217,5 +221,5 @@
              DO  k = nzb, nzb_max
                 dist1(k,j,i) = MERGE( dist1(k,j,i), 0.0_wp,                    &
-                                      BTEST( wall_flags_static_0(k,j,i), flag_nr )    &
+                                  BTEST( wall_flags_total_0(k,j,i), flag_nr )  &
                                     )
              ENDDO
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 4345)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -95,5 +99,5 @@
         ONLY:   ngp_2dh, ngp_2dh_s_inner, ngp_3d, ngp_3d_inner, ngp_sums,      &
                 ngp_sums_ls, nxl, nxr, nyn, nys, nzb, nzt, topo_min_level,     &
-                wall_flags_static_0
+                wall_flags_total_0
         
     USE kinds
@@ -257,9 +261,9 @@
        !$OMP DO
        !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k, flag) &
-       !$ACC PRESENT(wall_flags_static_0, u, v, pt, rmask, sums_l)
+       !$ACC PRESENT(wall_flags_total_0, u, v, pt, rmask, sums_l)
        DO  i = nxl, nxr
           DO  j =  nys, nyn
              DO  k = nzb, nzt+1
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
                 !$ACC ATOMIC
                 sums_l(k,1,tn)  = sums_l(k,1,tn)  + u(k,j,i)  * rmask(j,i,sr)  &
@@ -286,5 +290,5 @@
                                     * rmask(j,i,sr)                            &
                                     * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_static_0(k,j,i), 22 ) )
+                                             BTEST( wall_flags_total_0(k,j,i), 22 ) )
                 ENDDO
              ENDDO
@@ -301,5 +305,5 @@
              DO  j =  nys, nyn
                 DO  k = nzb, nzt+1
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
                    sums_l(k,44,tn)  = sums_l(k,44,tn) +                        &
                                       vpt(k,j,i) * rmask(j,i,sr) * flag
@@ -314,5 +318,5 @@
                 DO  j =  nys, nyn
                    DO  k = nzb, nzt+1
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
                       sums_l(k,42,tn) = sums_l(k,42,tn) +                      &
                                       ( q(k,j,i) - ql(k,j,i) ) * rmask(j,i,sr) &
@@ -338,5 +342,5 @@
                                     * rmask(j,i,sr)                            &
                                     * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_static_0(k,j,i), 22 ) )
+                                             BTEST( wall_flags_total_0(k,j,i), 22 ) )
                 ENDDO
              ENDDO
@@ -479,5 +483,5 @@
        !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j, k, m) &
        !$ACC PRIVATE(sums_l_etot, flag) &
-       !$ACC PRESENT(wall_flags_static_0, rmask, momentumflux_output_conversion) &
+       !$ACC PRESENT(wall_flags_total_0, rmask, momentumflux_output_conversion) &
        !$ACC PRESENT(hom(:,1,4,sr)) &
        !$ACC PRESENT(e, u, v, w, km, kh, p, pt) &
@@ -488,5 +492,5 @@
              sums_l_etot = 0.0_wp
              DO  k = nzb, nzt+1
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
 !
 !--             Prognostic and diagnostic variables
@@ -656,5 +660,5 @@
              DO  j =  nys, nyn
                 DO  k = nzb, nzt+1
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
 
                    u2   = u(k,j,i)**2
@@ -688,10 +692,10 @@
        !$OMP DO
        !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k, flag, w2, ust2, vst2) &
-       !$ACC PRESENT(wall_flags_static_0, u, v, w, rmask, hom(:,1,1:2,sr)) &
+       !$ACC PRESENT(wall_flags_total_0, u, v, w, rmask, hom(:,1,1:2,sr)) &
        !$ACC PRESENT(sums_l)
        DO  i = nxl, nxr
           DO  j =  nys, nyn
              DO  k = nzb, nzt+1
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
 
                 w2   = w(k,j,i)**2
@@ -717,5 +721,5 @@
        !$ACC PRIVATE(ki, flag, ust, vst, pts) &
        !$ACC PRESENT(kh, km, u, v, w, pt) &
-       !$ACC PRESENT(wall_flags_static_0, rmask, ddzu, rho_air_zw, hom(:,1,1:4,sr)) &
+       !$ACC PRESENT(wall_flags_total_0, rmask, ddzu, rho_air_zw, hom(:,1,1:4,sr)) &
        !$ACC PRESENT(heatflux_output_conversion, momentumflux_output_conversion) &
        !$ACC PRESENT(surf_def_h(0:2), surf_lsm_h, surf_usm_h) &
@@ -735,7 +739,7 @@
              DO  k = nzb, nzt
                 flag = MERGE( 1.0_wp, 0.0_wp,                                  &
-                              BTEST( wall_flags_static_0(k,j,i), 23 ) ) *             &
+                              BTEST( wall_flags_total_0(k,j,i), 23 ) ) *       &
                        MERGE( 1.0_wp, 0.0_wp,                                  &
-                              BTEST( wall_flags_static_0(k,j,i), 9  ) )
+                              BTEST( wall_flags_total_0(k,j,i), 9  ) )
 !
 !--             Momentum flux w"u"
@@ -1209,5 +1213,5 @@
 !--                rearranged according to the staggered grid.
              DO  k = nzb, nzt
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
                 ust = 0.5_wp * ( u(k,j,i)   - hom(k,1,1,sr) +                  &
                                  u(k+1,j,i) - hom(k+1,1,1,sr) )
@@ -1398,7 +1402,7 @@
 !--                fluxes, which are added further below. 
                    flag = MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_static_0(k,j,i), 23 ) ) *          &
+                                 BTEST( wall_flags_total_0(k,j,i), 23 ) ) *    &
                           MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_static_0(k,j,i), 9  ) )
+                                 BTEST( wall_flags_total_0(k,j,i), 9  ) )
 
                    ust = 0.5_wp * ( u(k,j,i)   - hom(k,1,1,sr) +               &
@@ -1433,7 +1437,7 @@
                 DO  k = nzb, nzt
                    flag = MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_static_0(k,j,i), 23 ) ) *          &
+                                 BTEST( wall_flags_total_0(k,j,i), 23 ) ) *    &
                           MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_static_0(k,j,i), 9  ) )
+                                 BTEST( wall_flags_total_0(k,j,i), 9  ) )
 !
 !--                Vertical heat flux
@@ -1484,5 +1488,5 @@
              DO  j = nys, nyn
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                    sums_ll(k,1) = sums_ll(k,1) + 0.5_wp * w(k,j,i) * (         &
@@ -1526,5 +1530,5 @@
                 DO  k = nzb+1, nzt
 
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                    sums_l(k,57,tn) = sums_l(k,57,tn) - 0.5_wp * (              &
@@ -1555,5 +1559,5 @@
              DO  j = nys, nyn
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 !
 !--                Subgrid horizontal heat fluxes u"pt", v"pt"
@@ -1653,5 +1657,5 @@
              DO  j =  nys, nyn
                 DO  k = nzb+1, nzt+1
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                    sums_l(k,100,tn)  = sums_l(k,100,tn)  + rad_lw_in(k,j,i)    &
Index: /palm/trunk/SOURCE/indoor_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4346)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -481,5 +485,5 @@
 
     USE indices,                                                               &
-        ONLY:  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
+        ONLY:  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_total_0
 
     USE grid_variables,                                                        &
@@ -671,5 +675,5 @@
 !
 !--             Check if grid point belongs to a building. 
-                IF ( BTEST( wall_flags_static_0(k,j,i), 6 ) )  THEN
+                IF ( BTEST( wall_flags_total_0(k,j,i), 6 ) )  THEN
                    k_min_l(nb) = MIN( k_min_l(nb), k )
                    k_max_l(nb) = MAX( k_max_l(nb), k )
